#
# spec file for package perl-Cancer (Version 0.01)
#
# Copyright (c) 125 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define cpan_name Cancer
Name:           perl-Cancer
Version:        0.01
Release:        0%{?autorelease}
License:    This program is free software; you can redistribute it and/or modify it under the terms of The Artistic License 2.0. See http://www.perlfoundation.org/artistic_license_2_0. For clarification, see http://www.perlfoundation.org/artistic_2_0_notes. When separated from the distribution, all POD documentation is covered by the Creative Commons Attribution-Share Alike 3.0 License. See http://creativecommons.org/licenses/by-sa/3.0/us/legalcode. For clarification, see http://creativecommons.org/licenses/by-sa/3.0/us/.
Summary:        I'm afraid it's terminal..
Url:            https://metacpan.org/release/%{cpan_name}
Source0:         %{cpan_name}-%{version}.tar.gz
Source1:     cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl-macros-suse
BuildRequires:  perl-generators
BuildRequires:  perl(Archive::Tar)
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(Devel::CheckBin)
BuildRequires:  perl(ExtUtils::Config) >= 0.003
BuildRequires:  perl(ExtUtils::Helpers) >= 0.02
BuildRequires:  perl(ExtUtils::InstallPaths) >= 0.002
BuildRequires:  perl(Getopt::Long) >= 2.36
BuildRequires:  perl(IO::Uncompress::Unzip)
BuildRequires:  perl(JSON::PP) >= 2
BuildRequires:  perl(Module::Build::Tiny) >= 0.035
BuildRequires:  perl(Path::Tiny) >= 0.144
BuildRequires:  perl(Test2::Tools::Exception)
BuildRequires:  perl(Test2::V0)
%{?perl_requires}
# MANUAL BEGIN
%define debug_package %{nil}
# MANUAL END

%description
Cancer is a text-based UI library inspired by at
https://github.com/nsf/termbox-go. Use it to create at
https://en.wikipedia.org/wiki/Text-based_user_interface in pure perl.

%prep
%autosetup  -n %{cpan_name}-%{version} -p1


%build
perl Build.PL --installdirs=vendor
./Build build --flags=%{?_smp_mflags}

%check


%install
./Build install --destdir=%{buildroot} --create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README.md
%license LICENSE

%changelog
